# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_with	verbose		# verbose build (V=1)

%define		rel	3
%define		pname	wl
%define		file_ver	%(echo %{version} | tr . _)
Summary:	Broadcom 802.11 a/b/g/n hybrid Linux networking device driver
Name:		kernel%{_alt_kernel}-net-wl
Version:	6.30.223.141
Release:	%{rel}@%{_kernel_ver_str}
License:	other
Group:		Base/Kernel
Source0:	http://www.broadcom.com/docs/linux_sta/hybrid-v35-nodebug-pcoem-%{file_ver}.tar.gz
# Source0-md5:	f4809d9149e8e60ef95021ae93a4bf21
Source1:	http://www.broadcom.com/docs/linux_sta/hybrid-v35_64-nodebug-pcoem-%{file_ver}.tar.gz
# Source1-md5:	039f33d2a3ff2890e42717092d1eb0c4
Source2:	http://www.broadcom.com/docs/linux_sta/README.txt
# Source2-md5:	8a6e8708a5e00ab6d841cde51d70eb1b
Patch0:		broadcom-sta-6.30.223.141-kernel-3.10.patch
URL:		http://www.broadcom.com/support/802.11/linux_sta.php
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages	0

%description
These packages contain Broadcom's IEEE 802.11a/b/g/n hybrid Linux
device driver for use with Broadcom's BCM4311-, BCM4312-, BCM4313-,
BCM4321-, BCM4322-, BCM43224-, and BCM43225-, BCM43227- and
BCM43228-based hardware.

This is an Official Release of Broadcom's hybrid Linux driver for use
with Broadcom based hardware.

%prep
%ifarch %{x8664}
%define src 1
%else
%define src 0
%endif
%setup -c -T -q -n %{pname}-%{version} -b%{src}
%patch0 -p2

cp -p %{SOURCE2} .

cat > Makefile << EOF
obj-m	+= wl.o

wl-objs		+= src/wl/sys/wl_linux.o
wl-objs		+= src/wl/sys/wl_iw.o
wl-objs		+= src/shared/linux_osl.o

EXTRA_CFLAGS	+= -I%{_builddir}/%{pname}-%{version}/src/include
EXTRA_CFLAGS	+= -I%{_builddir}/%{pname}-%{version}/src/common/include
EXTRA_CFLAGS	+= -I%{_builddir}/%{pname}-%{version}/src/wl/sys
EXTRA_CFLAGS	+= -I%{_builddir}/%{pname}-%{version}/src/shared/bcmwifi/include

EXTRA_LDFLAGS	:= $PWD/lib/wlc_hybrid.o_shipped
EOF

%build
%build_kernel_modules -m wl

%install
rm -rf $RPM_BUILD_ROOT
%install_kernel_modules -m wl -d kernel/drivers/net/wireless

%clean
rm -rf $RPM_BUILD_ROOT

%post
%depmod %{_kernel_ver}

%posttrans
%banner -e kernel%{_alt_kernel}-net-wl <<EOF
WARNING! This kernel module is not GPL licensed.
Before using it be sure to accept license: %{_docdir}/kernel%{_alt_kernel}-net-wl-%{version}/LICENSE.txt*
EOF

%postun
%depmod %{_kernel_ver}

%files
%defattr(644,root,root,755)
%doc lib/LICENSE.txt README.txt
/lib/modules/%{_kernel_ver}/kernel/drivers/net/wireless/*.ko*
%changelog
* Mon Oct 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kernel-net-wl.git;a=log;h=master

* Mon Oct 07 2013 Jan Rękorajski <baggins@pld-linux.org> c88d7cb
- rebuild for kernel-3.10.15-1
- release 3 (by relup.sh)

* Wed Oct 02 2013 Jan Rękorajski <baggins@pld-linux.org> 3e7729a
- rebuild for kernel-3.10.14-1
- release 2 (by relup.sh)

* Sun Sep 29 2013 Elan Ruusamäe <glen@delfi.ee> 0c2c4e3
- cosmetic

* Sun Sep 29 2013 Elan Ruusamäe <glen@delfi.ee> 283219f
- add support for 3.10 kernel

* Sun Sep 29 2013 Elan Ruusamäe <glen@delfi.ee> b2160a7
- up to 6.30.223.141 (WEXT support is gone)

* Fri Sep 27 2013 Jan Rękorajski <baggins@pld-linux.org> 0427946
- rebuild for kernel-3.10.13-1
- release 19 (by relup.sh)

* Sun Sep 15 2013 Jan Rękorajski <baggins@pld-linux.org> ff19836
- rebuild for kernel-3.10.12-1
- release 18 (by relup.sh)

* Tue Sep 10 2013 Jan Rękorajski <baggins@pld-linux.org> ad225d0
- rebuild for kernel-3.10.11-1
- release 17 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 863b56b
- rebuild for kernel-3.10.10-1
- release 16 (by relup.sh)

* Sun Aug 25 2013 Jan Rękorajski <baggins@pld-linux.org> 4ea1dfb
- fix building with kernel 3.10 (patch from arch linux)
- rel 15

* Sat Aug 24 2013 Jan Rękorajski <baggins@pld-linux.org> 6a8a489
- rebuild for kernel-3.10.9-1
- release 14 (by relup.sh)

* Thu Aug 15 2013 Jan Rękorajski <baggins@pld-linux.org> 03608ce
- release 13 (by relup.sh)

* Thu Jul 25 2013 Jan Rękorajski <baggins@pld-linux.org> 5baea1f
- rebuild for kernel-3.9.11-1
- release 12 (by relup.sh)

* Wed Jul 03 2013 Jan Rękorajski <baggins@pld-linux.org> 6e1de9c
- rebuild for kernel-3.9.9-1
- release 11 (by relup.sh)

* Sun Jun 30 2013 Jan Rękorajski <baggins@pld-linux.org> 9b1c57e
- release 10 (by relup.sh)

* Thu Jun 27 2013 Jan Rękorajski <baggins@pld-linux.org> 48a3338
- rebuild for kernel-3.9.8-1
- release 9 (by relup.sh)

* Thu Jun 20 2013 Jan Rękorajski <baggins@pld-linux.org> 16759c8
- rebuild for kernel-3.9.7-1
- release 8 (by relup.sh)

* Fri Jun 14 2013 Jan Rękorajski <baggins@pld-linux.org> 8a526c8
- rework packaging, there is no need for subpackage, and auto-tags were
  generated incorrectly

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 8ea4066
- rebuild for kernel-3.9.6-1
- release 7 (by relup.sh)

* Fri Jun 07 2013 Jan Rękorajski <baggins@pld-linux.org> 4773153
- rebuild for kernel-3.9.5-1 /home/users/baggins/devel/PLD/rpm/packages
- release 6 (by relup.sh)

